#ifndef XGFXPLACEMENT_H
#define XGFXPLACEMENT_H

#include "xasset.h"

#include <QVector>
#include <QVector3D>

class XGfxPlacement : public XAsset
{
public:
    XGfxPlacement();
    ~XGfxPlacement();

    virtual void ParseData(XDataStream* aStream) override;
    virtual void Clear() override;

private:
    QVector<float> mQuat;
    QVector3D mOrigin;
};

#endif // XGFXPLACEMENT_H
